#ifndef TCP_CLIENT_H
#define TCP_CLIENT_H

#include <string>

#include <netinet/in.h>

using namespace std;

class DemoTCPClient
{
  private:
    int sock;
    std::string address;
    int port;
    struct sockaddr_in server_addr;

  public:
    DemoTCPClient();
    bool setup(string address, int port);
    bool Send(unsigned char* data, int size);
    int receive(unsigned char* data, int size);
    void exit();
};

#endif
